---
lang: en
title: 'API docs: context.config'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.config.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [config](./context.config.md)

## config namespace

<b>Signature:</b>

```typescript
export declare namespace config 
```

## Variables

|  Variable | Description |
|  --- | --- |
|  [getter](./context.config.getter.md) | <code>@inject.getter</code> decorator to inject a config getter function |
|  [view](./context.config.view.md) | <code>@inject.view</code> decorator to inject a config context view to allow dynamic changes in configuration |


